Bug 863818 - [abrt] openttd-1.2.2-1.fc17: Process /usr/bin/openttd was killed by signal 6 (SIGABRT)
[abrt] openttd-1.2.2-1.fc17: Process /usr/bin/openttd was killed by signal 6 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openttd (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
abrt_hash:f1f7a0f8f8eb4e1a63bed822ba3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 12:03 EDT by Jan Teichmann
Modified: 2013-08-01 13:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (341 bytes, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: environ (1.42 KB, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: backtrace (14.83 KB, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: cgroup (126 bytes, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: maps (20.95 KB, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: dso_list (4.28 KB, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: open_fds (146 bytes, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
File: var_log_messages (145 bytes, text/plain)
2012-10-07 12:03 EDT, Jan Teichmann
no flags Details
openttd crash log (9.68 KB, text/x-log)
2012-10-07 13:02 EDT, Jan Teichmann
no flags Details
screenshot (386.55 KB, image/png)
2012-10-07 13:03 EDT, Jan Teichmann
no flags Details
crash.save (579.64 KB, application/octet-stream)
2012-10-07 13:04 EDT, Jan Teichmann
no flags Details

  None (edit)
Description Jan Teichmann 2012-10-07 12:03:00 EDT
Version-Release number of selected component:
openttd-1.2.2-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        openttd
crash_function: pthread_cond_wait@@GLIBC_2.3.2
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 2 (1 frames)
: #0 pthread_cond_wait@@GLIBC_2.3.2 at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S
Comment 1 Jan Teichmann 2012-10-07 12:03:03 EDT
Created attachment 623021 [details]
File: core_backtrace
Comment 2 Jan Teichmann 2012-10-07 12:03:05 EDT
Created attachment 623022 [details]
File: environ
Comment 3 Jan Teichmann 2012-10-07 12:03:07 EDT
Created attachment 623023 [details]
File: limits
Comment 4 Jan Teichmann 2012-10-07 12:03:09 EDT
Created attachment 623024 [details]
File: backtrace
Comment 5 Jan Teichmann 2012-10-07 12:03:11 EDT
Created attachment 623025 [details]
File: cgroup
Comment 6 Jan Teichmann 2012-10-07 12:03:14 EDT
Created attachment 623026 [details]
File: maps
Comment 7 Jan Teichmann 2012-10-07 12:03:16 EDT
Created attachment 623027 [details]
File: dso_list
Comment 8 Jan Teichmann 2012-10-07 12:03:18 EDT
Created attachment 623028 [details]
File: open_fds
Comment 9 Jan Teichmann 2012-10-07 12:03:20 EDT
Created attachment 623029 [details]
File: var_log_messages
Comment 10 Felix Kaechele 2012-10-07 12:34:29 EDT
Hi there,

thanks for your bug report. Can you reproduce this bug or did it happen at random?
Did OpenTTD create the crash diagnostic files (crash.log, crash.png, crash.sav) in the ~/.openttd folder?
Comment 11 Jan Teichmann 2012-10-07 13:01:30 EDT
I consider OpenTTD as super stable and never had any crash before. It happened randomly by scrolling through the map and I'm not able to reproduce the crash. I attach the diagnostic files.

Btw, thanks for such an addictive game! ;)
Comment 12 Jan Teichmann 2012-10-07 13:02:33 EDT
Created attachment 623049 [details]
openttd crash log

the crash log from ./openttd
Comment 13 Jan Teichmann 2012-10-07 13:03:31 EDT
Created attachment 623050 [details]
screenshot
Comment 14 Jan Teichmann 2012-10-07 13:04:34 EDT
Created attachment 623051 [details]
crash.save
Comment 15 Felix Kaechele 2013-02-13 17:45:19 EST
Did you ever encount this issue again?
Comment 16 Jan Teichmann 2013-02-14 06:18:42 EST
no I didn't.
Comment 17 Fedora End Of Life 2013-07-04 01:48:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-08-01 13:03:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.